channels.getInactiveChannels
Get inactive channels and supergroups
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get inactive channels and supergroups
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.getInactiveChannels" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "messages.inactiveChats", "dates": [ 0 ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getGroupsForDiscussion
Get all groups that can be used as [discussion groups](https://core.telegram.org/api/discussion). Returned [basic group chats](https://core.telegram.org/api/channel#basic-groups) must be first upgraded to [supergroups](https://core.telegram.org/api/channel#supergroups) before they can be set as a discussion group. To set a returned supergroup as a discussion group, access to its old messages must be enabled using `channels.RawTogglePreHistoryHiddenRequest`, first.
getLeftChannels
Get a list of [channels/supergroups](https://core.telegram.org/api/channel) we left, requires a [takeout session, see here » for more info](https://core.telegram.org/api/takeout).